Clean up corrupted entries from page history restore bug
Closed, ResolvedPublic

Description

Bug 41615 caused some corruption of metadata associated with deleted articles. The original bug has been fixed, but some of the corruption remains, and should be cleaned up.


Version: unspecified
Severity: normal

bzimport set Reference to bz41649.
RobLa-WMF created this task.Via LegacyNov 1 2012, 6:37 PM
bzimport added a comment.Via ConduitNov 1 2012, 7:43 PM

afeldman wrote:

I'm going through the binlogs for all 500+ wikis that were running wmf3 for WikiPage::doDeleteArticleReal queries and will provide to Aaron for cleanup.

RobLa-WMF added a comment.Via ConduitNov 2 2012, 9:13 PM

Asher has provided this to Aaron. Aaron is going to try to have the script ready to run today or early next week, and then run it some time after that.

aaron added a comment.Via ConduitNov 6 2012, 7:28 PM

Script run. Fixed 6 commons pages, 1 wikidata one, and 1 test2wiki one (a test for this exact bug by rob). Most deleted pages where not restored in the small time frame it seems.

One of the itwiki binlog dump entries had no corresponding log INSERT, so I had to ignore that line, which is unlikely to matter.

aaron added a comment.Via ConduitNov 6 2012, 7:31 PM

Affected page IDs:
15222088 => 22572598
22484760 => 22572599
21989370 => 22485107
10571590 => 22494267
22480211 => 22572600
12915804 => 22492542

For the second column, one can use http://commons.wikimedia.org/wiki/?curid=<x> to view those pages (for commons). Most of them seem like they should be deleted again as cruft...

aaron added a comment.Via ConduitNov 6 2012, 7:36 PM

(In reply to comment #4)

Most of them seem like they should be deleted again as cruft...

Well, more like half or less.

tomasz added a comment.Via ConduitNov 6 2012, 7:41 PM

I deleted two of those pages (one was deleted before as a violation of no FOP
in Japan, and the other was a badly placed link); the rest was just fine.

Add Comment